=== debian/changelog ===
python-hypothesis (3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 18 Feb 2016 15:57:16 +0200

python-hypothesis (3.0.0-1) unstable; urgency=medium

  * Fix watch file to handle alpha version.
  * New upstream release.
    - Add Build-Depends: python-enum34.
  * Switch to https in Vcs-Git.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 17 Feb 2016 17:44:32 +0200

python-hypothesis (2.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 23 Jan 2016 04:34:52 +0200

python-hypothesis (1.18.0-1) unstable; urgency=medium

  * New upstream release.
    - Switch to GitHub tarball to pick up the tests.
  * Run the tests at build time (closes: #808039).

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 21 Dec 2015 13:47:28 +0200

python-hypothesis (1.17.0-1) unstable; urgency=medium

  * New upstream release.
    - Change in Python 3 compatibility code (closes: #807988).
  * Add myself to Uploaders.

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 16 Dec 2015 17:12:05 +0200

python-hypothesis (1.16.0-1) unstable; urgency=medium

  * Team upload.

  [ Vincent Bernat ]
  * Ship README.rst.

  [ Stefano Rivera ]
  * Update VCS fields for Git migration.

  [ Tristan Seligmann ]
  * New upstream release.
  * Remove stray egg-info directory.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 11 Dec 2015 16:54:37 +0200

python-hypothesis (1.11.0-1) unstable; urgency=medium

  * Initial release. Closes: #799044.

 -- Vincent Bernat <bernat@debian.org>  Tue, 15 Sep 2015 10:17:24 +0200
