=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export LC_ALL=C.UTF-8
export PYBUILD_NAME=hypothesis
export PYBUILD_TEST_PYTEST=1
COMMON_TESTS=--assert=plain {dir}/tests/cover {dir}/tests/datetime {dir}/tests/numpy
export PYBUILD_TEST_ARGS_python2=${COMMON_TESTS} {dir}/tests/py2
export PYBUILD_TEST_ARGS_python3=${COMMON_TESTS} {dir}/tests/py3

%:
	dh $@ --with python2,python3 --buildsystem=pybuild


override_dh_python3:
	dh_python3
	rm -rf debian/python3-hypothesis/usr/lib/python3.?
