## python-hypothesis 3.4.0

=== debian/changelog ===
python-hypothesis (3.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 25 Jun 2016 02:00:45 +0200

python-hypothesis (3.1.3-3) unstable; urgency=medium

  * Install python3-sphinx-rtd-theme instead of python-sphinx-rtd-theme
    (closes: #827588, hopefully).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 23 Jun 2016 19:23:22 +0200

python-hypothesis (3.1.3-2) unstable; urgency=medium

  * Add python-hypothesis-doc to Suggests.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 15 May 2016 23:28:36 +0200

python-hypothesis (3.1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (no changes).
  * Disable build-time test suite; running the tests takes a long time,
    and is a little flaky, but hardly anything tested by them is
    Debian-specific, so upstream would have already caught a bad release.
    The DEP 8 tests are left, however.
  * Swap team over to Maintainer.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 15 May 2016 02:43:24 +0200

python-hypothesis (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Build python-hypothesis-doc package with documentation.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 06 Mar 2016 23:40:36 +0200

python-hypothesis (3.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Bump Standards-Version to 3.9.7 (no changes).
  * Add missing dependency on python-enum34; the platform marker obscures
    it from being detected automatically.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 23 Feb 2016 14:48:26 +0200

python-hypothesis (3.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 18 Feb 2016 22:05:58 +0200
