## python-hypothesis 3.4.2

=== Makefile ===
--- 
+++ 
@@ -6,10 +6,13 @@
 SPHINX_BUILDDIR      = docs/_build
 ALLSPHINXOPTS   = -d $(SPHINX_BUILDDIR)/doctrees docs -W
 
-BUILD_RUNTIMES?=$(PWD)/.runtimes
+export BUILD_RUNTIMES?=$(HOME)/.cache/hypothesis-build-runtimes
+export TOX_WORK_DIR=$(BUILD_RUNTIMES)/.tox
+export COVERAGE_FILE=$(BUILD_RUNTIMES)/.coverage
 
 PY26=$(BUILD_RUNTIMES)/snakepit/python2.6
 PY27=$(BUILD_RUNTIMES)/snakepit/python2.7
+PY273=$(BUILD_RUNTIMES)/snakepit/python2.7.3
 PY33=$(BUILD_RUNTIMES)/snakepit/python3.3
 PY34=$(BUILD_RUNTIMES)/snakepit/python3.4
 PY35=$(BUILD_RUNTIMES)/snakepit/python3.5
@@ -24,6 +27,7 @@
 FLAKE8=$(TOOLS)/flake8
 PYFORMAT=$(TOOLS)/pyformat
 
+BROKEN_VIRTUALENV=$(BUILD_RUNTIMES)/virtualenvs/broken
 TOOL_VIRTUALENV=$(BUILD_RUNTIMES)/virtualenvs/tools
 ISORT_VIRTUALENV=$(BUILD_RUNTIMES)/virtualenvs/isort
 TOOL_PYTHON=$(TOOL_VIRTUALENV)/bin/python
@@ -31,13 +35,16 @@
 TOOL_INSTALL=$(TOOL_PIP) install --upgrade
 
 export PATH:=$(BUILD_RUNTIMES)/snakepit:$(TOOLS):$(PATH)
-export LC_ALL=C.UTF-8
+export LC_ALL=en_US.UTF-8
 
 $(PY26):
 	scripts/retry.sh scripts/install.sh 2.6
 
 $(PY27):
 	scripts/retry.sh scripts/install.sh 2.7
+
+$(PY273):
+	scripts/retry.sh scripts/install.sh 2.7.3
 
 $(PY33):
 	scripts/retry.sh scripts/install.sh 3.3
@@ -57,17 +64,20 @@
 
 $(TOOLS): $(TOOL_VIRTUALENV)
 
+install-tools: $(TOOLS)
+
 $(ISORT_VIRTUALENV): $(PY34)
 	$(PY34) -m virtualenv $(ISORT_VIRTUALENV)
 
 format: $(PYFORMAT) $(ISORT)
 	$(TOOL_PYTHON) scripts/enforce_header.py
 	# isort will sort packages differently depending on whether they're installed
-	$(ISORT_VIRTUALENV)/bin/python -m pip install django pytz pytest fake-factory numpy
-	env -i PATH=$(PATH) $(ISORT) -p hypothesis -ls -m 2 -w 75 \
+	$(ISORT_VIRTUALENV)/bin/python -m pip install django pytz pytest fake-factory numpy flaky
+	find src tests hypothesislegacysupport examples -name '*.py' | xargs  env -i \
+            PATH="$(PATH)" $(ISORT) -p hypothesis -ls -m 2 -w 75 \
 			-a  "from __future__ import absolute_import, print_function, division" \
-			-rc src tests examples
-	find src tests examples -name '*.py' | xargs $(PYFORMAT) -i
+			-rc src tests examples hypothesislegacysupport/src
+	find src tests hypothesislegacysupport examples -name '*.py' | xargs $(PYFORMAT) -i
 
 lint: $(FLAKE8)
 	$(FLAKE8) src tests --exclude=compat.py,test_reflection.py,test_imports.py,tests/py2 --ignore=E731,E721
@@ -82,6 +92,9 @@
 check-py27: $(PY27) $(TOX)
 	$(TOX) -e py27-full
 
+check-py273: $(PY273) $(TOX)
+	$(TOX) -e oldpy27
+
 check-py33: $(PY33) $(TOX)
 	$(TOX) -e py33-full
 
@@ -102,6 +115,10 @@
 
 check-pytest26: $(TOX) $(PY35)
 	$(TOX) -e pytest26
+
+check-ancient-pip: $(PY273)
+	scripts/check-ancient-pip.sh $(PY273)
+	
 
 check-pytest: check-pytest26 check-pytest27
 
@@ -145,13 +162,13 @@
 	$(TOX) -e py35-prettyquick
 
 $(TOX): $(PY35) tox.ini $(TOOLS)
+	rm -f $(TOX)
 	$(TOOL_INSTALL) tox
-	rm -f $(TOX)
-	rm -rf .tox
 	ln -sf $(TOOL_VIRTUALENV)/bin/tox $(TOX)
+	touch $(TOOL_VIRTUALENV)/bin/tox $(TOX)
 
 $(SPHINX_BUILD): $(TOOL_VIRTUALENV)
-	$(TOOL_PYTHON) -m pip install sphinx
+	$(TOOL_PYTHON) -m pip install sphinx sphinx-rtd-theme
 	ln -sf $(TOOL_VIRTUALENV)/bin/sphinx-build $(SPHINX_BUILD)
 
 $(SPHINX_AUTOBUILD): $(TOOL_VIRTUALENV)
