=== debian/changelog ===
python-hypothesis (3.4.2-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * dont build the pypy package

 -- Sandro Tosi <morph@debian.org>  Mon, 24 Oct 2016 16:23:15 -0400

python-hypothesis (3.4.2-2) unstable; urgency=medium

  [ Julian Taylor ]
  * add pypy-hypothesis package

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 27 Aug 2016 18:04:12 +0200

python-hypothesis (3.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 16 Jul 2016 17:29:58 +0200
