=== debian/control ===
--- 
+++ 
@@ -1,36 +1,29 @@
 Source: python-hypothesis
 Section: python
 Priority: optional
-Maintainer: Vincent Bernat <bernat@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
  Tristan Seligmann <mithrandi@debian.org>,
+ Vincent Bernat <bernat@debian.org>,
 Build-Depends:
  debhelper (>= 9),
  dh-python,
  python-all,
- python-flake8,
- python-flaky,
- python-numpy,
- python-pytest (>= 2.8),
+ python-enum34,
  python-setuptools,
- python-tz,
- python-enum34,
  python3-all,
- python3-flake8,
- python3-flaky,
- python3-numpy,
- python3-pytest (>= 2.8),
  python3-setuptools,
- python3-tz,
-Standards-Version: 3.9.6
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
+Standards-Version: 3.9.8
 Homepage: https://github.com/DRMacIver/hypothesis
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-hypothesis.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-hypothesis.git
 
 Package: python-hypothesis
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: python-enum34, ${misc:Depends}, ${python:Depends}
+Suggests: python-hypothesis-doc
 Description: advanced Quickcheck style testing library for Python 2
  Hypothesis is a library for testing your Python code against a much
  larger range of examples than you would ever want to write by
@@ -47,7 +40,8 @@
 
 Package: python3-hypothesis
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Suggests: python-hypothesis-doc
 Description: advanced Quickcheck style testing library for Python 3
  Hypothesis is a library for testing your Python code against a much
  larger range of examples than you would ever want to write by
@@ -61,3 +55,22 @@
  project then you're missing out.
  .
  This package contains the Python 3 module.
+
+Package: python-hypothesis-doc
+Architecture: all
+Section: doc
+Priority: extra
+Depends: ${misc:Depends}, ${python3:Depends}
+Description: advanced Quickcheck style testing library (documentation)
+ Hypothesis is a library for testing your Python code against a much
+ larger range of examples than you would ever want to write by
+ hand. It's based on the Haskell library, Quickcheck, and is designed
+ to integrate seamlessly into your existing Python unit testing work
+ flow.
+ .
+ Hypothesis is both extremely practical and also advances the state of
+ the art of unit testing by some way. It's easy to use, stable, and
+ extremely powerful. If you're not using Hypothesis to test your
+ project then you're missing out.
+ .
+ This package contains the documentation for Hypothesis.
