## python-hypothesis 3.6.0

=== debian/changelog ===
python-hypothesis (3.6.0-1~nd16.10+1) yakkety; urgency=medium

  * Backported for yakkety.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 08 Dec 2016 13:37:13 -0500

python-hypothesis (3.6.0-1) unstable; urgency=medium

  * The copyright of tests/cover/test_pretty.py is now documented
    correctly.
  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 07 Nov 2016 19:48:45 +0200
