=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: python-hypothesis
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Tristan Seligmann <mithrandi@debian.org>,
  Vincent Bernat <bernat@debian.org>,
 Build-Depends:
  debhelper (>= 9),
  dh-python,
+ pypy,
+ pypy-setuptools,
  python-all,
  python-enum34,
  python-setuptools,
@@ -22,7 +25,7 @@
 
 Package: python-hypothesis
 Architecture: all
-Depends: python-enum34, ${misc:Depends}, ${python:Depends}
+Depends: neurodebian-popularity-contest, python-enum34, ${misc:Depends}, ${python:Depends}
 Suggests: python-hypothesis-doc
 Description: advanced Quickcheck style testing library for Python 2
  Hypothesis is a library for testing your Python code against a much
@@ -40,7 +43,7 @@
 
 Package: python3-hypothesis
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: python-hypothesis-doc
 Description: advanced Quickcheck style testing library for Python 3
  Hypothesis is a library for testing your Python code against a much
@@ -56,11 +59,29 @@
  .
  This package contains the Python 3 module.
 
+Package: pypy-hypothesis
+Architecture: all
+Depends: neurodebian-popularity-contest, pypy-enum34, ${misc:Depends}, ${pypy:Depends}
+Suggests: python-hypothesis-doc
+Description: advanced Quickcheck style testing library for PyPy
+ Hypothesis is a library for testing your Python code against a much
+ larger range of examples than you would ever want to write by
+ hand. It's based on the Haskell library, Quickcheck, and is designed
+ to integrate seamlessly into your existing Python unit testing work
+ flow.
+ .
+ Hypothesis is both extremely practical and also advances the state of
+ the art of unit testing by some way. It's easy to use, stable, and
+ extremely powerful. If you're not using Hypothesis to test your
+ project then you're missing out.
+ .
+ This package contains the PyPy module.
+
 Package: python-hypothesis-doc
 Architecture: all
 Section: doc
 Priority: extra
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}
 Description: advanced Quickcheck style testing library (documentation)
  Hypothesis is a library for testing your Python code against a much
  larger range of examples than you would ever want to write by
