## python-hypothesis 3.6.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,6 @@
 export TOX_WORK_DIR=$(BUILD_RUNTIMES)/.tox
 export COVERAGE_FILE=$(BUILD_RUNTIMES)/.coverage
 
-PY26=$(BUILD_RUNTIMES)/snakepit/python2.6
 PY27=$(BUILD_RUNTIMES)/snakepit/python2.7
 PY273=$(BUILD_RUNTIMES)/snakepit/python2.7.3
 PY33=$(BUILD_RUNTIMES)/snakepit/python3.3
@@ -37,9 +36,6 @@
 export PATH:=$(BUILD_RUNTIMES)/snakepit:$(TOOLS):$(PATH)
 export LC_ALL=en_US.UTF-8
 
-$(PY26):
-	scripts/retry.sh scripts/install.sh 2.6
-
 $(PY27):
 	scripts/retry.sh scripts/install.sh 2.7
 
@@ -73,11 +69,11 @@
 	$(TOOL_PYTHON) scripts/enforce_header.py
 	# isort will sort packages differently depending on whether they're installed
 	$(ISORT_VIRTUALENV)/bin/python -m pip install django pytz pytest fake-factory numpy flaky
-	find src tests hypothesislegacysupport examples -name '*.py' | xargs  env -i \
+	find src tests examples -name '*.py' | xargs  env -i \
             PATH="$(PATH)" $(ISORT) -p hypothesis -ls -m 2 -w 75 \
 			-a  "from __future__ import absolute_import, print_function, division" \
-			-rc src tests examples hypothesislegacysupport/src
-	find src tests hypothesislegacysupport examples -name '*.py' | xargs $(PYFORMAT) -i
+			-rc src tests examples
+	find src tests examples -name '*.py' | xargs $(PYFORMAT) -i
 
 lint: $(FLAKE8)
 	$(FLAKE8) src tests --exclude=compat.py,test_reflection.py,test_imports.py,tests/py2 --ignore=E731,E721
@@ -86,9 +82,6 @@
 	find src tests -name "*.py" | xargs $(TOOL_PYTHON) scripts/check_encoding_header.py
 	git diff --exit-code
 
-check-py26: $(PY26) $(TOX)
-	$(TOX) -e py26-full
-
 check-py27: $(PY27) $(TOX)
 	$(TOX) -e py27-full
 
@@ -109,6 +102,12 @@
 
 check-nose: $(TOX) $(PY35)
 	$(TOX) -e nose
+
+check-pytest30: $(TOX) $(PY35)
+	$(TOX) -e pytest30
+
+check-pytest28: $(TOX) $(PY35)
+	$(TOX) -e pytest28
 
 check-pytest27: $(TOX) $(PY35)
 	$(TOX) -e pytest27
@@ -122,6 +121,9 @@
 
 check-pytest: check-pytest26 check-pytest27
 
+check-fakefactory060: $(TOX) $(PY35)
+	$(TOX) -e fakefactory060
+
 check-fakefactory052: $(TOX) $(PY35)
 	$(TOX) -e fakefactory052
 
@@ -155,7 +157,7 @@
 
 check: check-format check-noformat
 
-check-fast: lint $(PY26) $(PY35) $(PYPY) $(TOX)
+check-fast: lint $(PY35) $(PYPY) $(TOX)
 	$(TOX) -e pypy-brief
 	$(TOX) -e py35-brief
 	$(TOX) -e py26-brief
@@ -169,6 +171,7 @@
 
 $(SPHINX_BUILD): $(TOOL_VIRTUALENV)
 	$(TOOL_PYTHON) -m pip install sphinx sphinx-rtd-theme
+	$(TOOL_PYTHON) -m pip install -e .
 	ln -sf $(TOOL_VIRTUALENV)/bin/sphinx-build $(SPHINX_BUILD)
 
 $(SPHINX_AUTOBUILD): $(TOOL_VIRTUALENV)
