=== debian/changelog ===
python-hypothesis (3.6.1-1ubuntu7~cloud0) xenial-ocata; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 06 Feb 2017 10:54:48 +0000

python-hypothesis (3.6.1-1ubuntu7) zesty; urgency=medium

  * Skip test_minimize_list_of_floats_on_large_structure
    with Python 2.7 on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 06 Feb 2017 12:11:15 +0200

python-hypothesis (3.6.1-1ubuntu6) zesty; urgency=medium

  * Enable all tests again now that package has been marked 'huge'

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 31 Jan 2017 08:32:37 +0200

python-hypothesis (3.6.1-1ubuntu5) zesty; urgency=medium

  * Import pytest and PY3 in test_recursive.py

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 24 Jan 2017 16:43:43 +0200

python-hypothesis (3.6.1-1ubuntu4) zesty; urgency=medium

  * Skip test_can_flatmap_to_recursive_data which fails
    with Python 2.7 on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 24 Jan 2017 13:49:30 +0200

python-hypothesis (3.6.1-1ubuntu3) zesty; urgency=medium

  * Skip test_constant_lists_of_diverse_length which now fails
    with Python 2.7 on ppc64el and s390x

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 23 Jan 2017 21:56:01 +0200

python-hypothesis (3.6.1-1ubuntu2) zesty; urgency=medium

  * Skip test_minimize_list_of_floats_on_large_structure
    with Python 2.7

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 20 Jan 2017 12:53:19 +0200

python-hypothesis (3.6.1-1ubuntu1) zesty; urgency=medium

  * Mark test_minimize_list_of_floats_on_large_structure
    which fails with Python 2.7 on i386 as flaky
  * Revert 'correct probability to more accurate value' for
    test_can_produce_long_lists_of_negative_integers
    which fails with Python 2.7 on ppc64el

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 02 Jan 2017 10:11:02 +0200

python-hypothesis (3.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 26 Dec 2016 14:45:42 +0200
