=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: python-hypothesis
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Tristan Seligmann <mithrandi@debian.org>,
  Vincent Bernat <bernat@debian.org>,
@@ -25,7 +25,7 @@
 
 Package: python-hypothesis
 Architecture: all
-Depends: neurodebian-popularity-contest, python-enum34, ${misc:Depends}, ${python:Depends}
+Depends: python-enum34, ${misc:Depends}, ${python:Depends}
 Suggests: python-hypothesis-doc
 Description: advanced Quickcheck style testing library for Python 2
  Hypothesis is a library for testing your Python code against a much
@@ -43,7 +43,7 @@
 
 Package: python3-hypothesis
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: python-hypothesis-doc
 Description: advanced Quickcheck style testing library for Python 3
  Hypothesis is a library for testing your Python code against a much
@@ -61,7 +61,7 @@
 
 Package: pypy-hypothesis
 Architecture: all
-Depends: neurodebian-popularity-contest, pypy-enum34, ${misc:Depends}, ${pypy:Depends}
+Depends: pypy-enum34, ${misc:Depends}, ${pypy:Depends}
 Suggests: python-hypothesis-doc
 Description: advanced Quickcheck style testing library for PyPy
  Hypothesis is a library for testing your Python code against a much
@@ -81,7 +81,7 @@
 Architecture: all
 Section: doc
 Priority: extra
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: advanced Quickcheck style testing library (documentation)
  Hypothesis is a library for testing your Python code against a much
  larger range of examples than you would ever want to write by
