=== debian/changelog ===
python-hypothesis (3.12.0-2~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 10 Jul 2017 11:44:24 +0000

python-hypothesis (3.12.0-2) unstable; urgency=medium

  * Avoid loading py.test configuration from tox.ini (fixes autopkgtest
    failures).

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 08 Jul 2017 13:58:47 +0200

python-hypothesis (3.12.0-1) unstable; urgency=medium

  * New upstream release.
    - Tweak docs/conf.py to fix building docs when Hypothesis is not
      installed.
  * Fix permuted python3-hypothesis and python-hypothesis-doc Depends
    stanzas (closes: #867435).
  * Bump Standards-Version to 4.0.0 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 07 Jul 2017 14:39:39 +0200
