=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-hypothesis
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Tristan Seligmann <mithrandi@debian.org>,
  Vincent Bernat <bernat@debian.org>,
@@ -18,7 +17,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/DRMacIver/hypothesis
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-hypothesis.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-hypothesis.git
@@ -43,7 +42,7 @@
 
 Package: python3-hypothesis
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}
 Suggests: python-hypothesis-doc
 Description: advanced Quickcheck style testing library for Python 3
  Hypothesis is a library for testing your Python code against a much
@@ -81,7 +80,7 @@
 Architecture: all
 Section: doc
 Priority: extra
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: advanced Quickcheck style testing library (documentation)
  Hypothesis is a library for testing your Python code against a much
  larger range of examples than you would ever want to write by
