## python-hypothesis 3.44.1

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,6 @@
 
 PY27=$(BUILD_RUNTIMES)/snakepit/python2.7
 PY273=$(BUILD_RUNTIMES)/snakepit/python2.7.3
-PY33=$(BUILD_RUNTIMES)/snakepit/python3.3
 PY34=$(BUILD_RUNTIMES)/snakepit/python3.4
 PY35=$(BUILD_RUNTIMES)/snakepit/python3.5
 PY36=$(BUILD_RUNTIMES)/snakepit/python3.6
@@ -50,9 +49,6 @@
 $(PY273):
 	scripts/retry.sh scripts/install.sh 2.7.3
 
-$(PY33):
-	scripts/retry.sh scripts/install.sh 3.3
-
 $(PY34):
 	scripts/retry.sh scripts/install.sh 3.4
 
@@ -67,7 +63,6 @@
 	scripts/retry.sh scripts/install.sh pypy
 
 $(TOOL_VIRTUALENV): $(BEST_PY3)
-	rm -rf $(BUILD_RUNTIMES)/virtualenvs/tools-*
 	$(BEST_PY3) -m virtualenv $(TOOL_VIRTUALENV)
 	$(TOOL_PIP) install -r requirements/tools.txt
 
@@ -90,13 +85,14 @@
 	$(FILES_TO_FORMAT) | xargs $(PYFORMAT) -i
 
 lint: $(FLAKE8)
-	$(FLAKE8) src tests --exclude=compat.py,test_reflection.py,test_imports.py,tests/py2,test_lambda_formatting.py --ignore=E731,E721
-
-check-untagged: $(BEST_PY3)
-	$(BEST_PY3) scripts/check-untagged.py
-
-check-changelog: $(BEST_PY3)
-	$(BEST_PY3) scripts/check-changelog.py
+	$(FLAKE8) src tests --exclude=compat.py,test_reflection.py,test_imports.py,tests/py2,test_lambda_formatting.py
+
+
+check-pyup-yml: $(TOOL_VIRTUALENV)
+	$(TOOL_PYTHON) scripts/validate_pyup.py
+
+check-release-file: $(BEST_PY3)
+	$(BEST_PY3) scripts/check-release-file.py
 
 deploy: $(TOOL_VIRTUALENV)
 	$(TOOL_PYTHON) scripts/deploy.py
@@ -125,37 +121,40 @@
 	shellcheck scripts/*.sh
 
 check-py27: $(PY27) $(TOX)
-	$(TOX) -e py27-full
+	$(TOX) --recreate -e py27-full
 
 check-py273: $(PY273) $(TOX)
-	$(TOX) -e oldpy27
-
-check-py33: $(PY33) $(TOX)
-	$(TOX) -e py33-full
+	$(TOX) --recreate -e oldpy27
+
+check-py27-typing: $(PY27) $(TOX)
+	$(TOX) --recreate -e py27typing
 
 check-py34: $(PY34) $(TOX)
-	$(TOX) -e py34-full
+	$(TOX) --recreate -e py34-full
 
 check-py35: $(PY35) $(TOX)
-	$(TOX) -e py35-full
+	$(TOX) --recreate -e py35-full
 
 check-py36: $(BEST_PY3) $(TOX)
-	$(TOX) -e py36-full
+	$(TOX) --recreate -e py36-full
 
 check-pypy: $(PYPY) $(TOX)
-	$(TOX) -e pypy-full
+	$(TOX) --recreate -e pypy-full
+
+check-pypy-with-tracer: $(PYPY) $(TOX)
+	$(TOX) --recreate -e pypy-with-tracer
 
 check-nose: $(TOX)
-	$(TOX) -e nose
+	$(TOX) --recreate -e nose
 
 check-pytest30: $(TOX)
-	$(TOX) -e pytest30
+	$(TOX) --recreate -e pytest30
 
 check-pytest28: $(TOX)
-	$(TOX) -e pytest28
+	$(TOX) --recreate -e pytest28
 
 check-quality: $(TOX)
-	$(TOX) -e quality
+	$(TOX) --recreate -e quality
 
 check-ancient-pip: $(PY273)
 	scripts/check-ancient-pip.sh $(PY273)
@@ -164,44 +163,59 @@
 check-pytest: check-pytest28 check-pytest30
 
 check-faker070: $(TOX)
-	$(TOX) -e faker070
-
-check-faker071: $(TOX)
-	$(TOX) -e faker071
+	$(TOX) --recreate -e faker070
+
+check-faker-latest: $(TOX)
+	$(TOX) --recreate -e faker-latest
 
 check-django18: $(TOX)
-	$(TOX) -e django18
+	$(TOX) --recreate -e django18
 
 check-django110: $(TOX)
-	$(TOX) -e django110
+	$(TOX) --recreate -e django110
 
 check-django111: $(TOX)
-	$(TOX) -e django111
+	$(TOX) --recreate -e django111
 
 check-django: check-django18 check-django110 check-django111
 
+check-pandas18: $(TOX)
+	$(TOX) --recreate -e pandas18
+
+check-pandas19: $(TOX)
+	$(TOX) --recreate -e pandas19
+
+check-pandas20: $(TOX)
+	$(TOX) --recreate -e pandas20
+
+check-pandas21: $(TOX)
+	$(TOX) --recreate -e pandas21
+
 check-examples2: $(TOX) $(PY27)
-	$(TOX) -e examples2
+	$(TOX) --recreate -e examples2
 
 check-examples3: $(TOX)
-	$(TOX) -e examples3
+	$(TOX) --recreate -e examples3
 
 check-coverage: $(TOX)
-	$(TOX) -e coverage
+	$(TOX) --recreate -e coverage
+
+check-pure-tracer: $(TOX)
+	$(TOX) --recreate -e pure-tracer
 
 check-unicode: $(TOX) $(PY27)
-	$(TOX) -e unicode
-
-check-noformat: check-coverage check-py26 check-py27 check-py33 check-py34 check-py35 check-pypy check-django check-pytest
+	$(TOX) --recreate -e unicode
+
+check-noformat: check-coverage check-py26 check-py27 check-py34 check-py35 check-pypy check-django check-pytest
 
 check: check-format check-noformat
 
 check-fast: lint $(PYPY) $(PY36) $(TOX)
-	$(TOX) -e pypy-brief
-	$(TOX) -e py36-prettyquick
+	$(TOX) --recreate -e pypy-brief
+	$(TOX) --recreate -e py36-prettyquick
 
 check-rst: $(RSTLINT) $(FLAKE8)
-	$(RSTLINT) *.rst
+	$(RSTLINT) CONTRIBUTING.rst README.rst
 	$(RSTLINT) guides/*.rst
 	$(FLAKE8) --select=W191,W291,W292,W293,W391 *.rst docs/*.rst
 
@@ -209,11 +223,20 @@
 	$(PIPCOMPILE) requirements/benchmark.in --output-file requirements/benchmark.txt
 	$(PIPCOMPILE) requirements/test.in --output-file requirements/test.txt
 	$(PIPCOMPILE) requirements/tools.in --output-file requirements/tools.txt
+	$(PIPCOMPILE) requirements/typing.in --output-file requirements/typing.txt
+	$(PIPCOMPILE) requirements/coverage.in --output-file requirements/coverage.txt
+
+upgrade-requirements:
+	$(PIPCOMPILE) --upgrade requirements/benchmark.in --output-file requirements/benchmark.txt
+	$(PIPCOMPILE) --upgrade requirements/test.in --output-file requirements/test.txt
+	$(PIPCOMPILE) --upgrade requirements/tools.in --output-file requirements/tools.txt
+	$(PIPCOMPILE) --upgrade requirements/typing.in --output-file requirements/typing.txt
+	$(PIPCOMPILE) --upgrade requirements/coverage.in --output-file requirements/coverage.txt
 
 check-requirements: compile-requirements
 	git diff --exit-code
 
-secret.tar.enc: deploy_key .pypirc
+secrets.tar.enc: deploy_key .pypirc
 	rm -f secrets.tar secrets.tar.enc
 	tar -cf secrets.tar deploy_key .pypirc
 	travis encrypt-file secrets.tar
@@ -268,8 +291,14 @@
 	find src tests -name "*.pyc" -delete
 	find src tests -name "__pycache__" -delete
 
-documentation: $(SPHINX_BUILD) docs/*.rst
-	PYTHONPATH=src $(SPHINX_BUILD) -W -b html -d docs/_build/doctrees docs docs/_build/html
+.PHONY: RELEASE.rst
+RELEASE.rst:
+
+documentation: $(SPHINX_BUILD) docs/*.rst RELEASE.rst
+	scripts/build-documentation.sh $(SPHINX_BUILD) $(PY36)
 
 doctest: $(SPHINX_BUILD) docs/*.rst
 	PYTHONPATH=src $(SPHINX_BUILD) -W -b doctest -d docs/_build/doctrees docs docs/_build/html
+
+fix_doctests: $(TOOL_VIRTUALENV)
+	PYTHONPATH=src $(TOOL_PYTHON) scripts/fix_doctests.py
