=== debian/changelog ===
python-hypothesis (3.44.1-2) unstable; urgency=medium

  * Team upload.
  * Add python{,3}-/pypy-attrs and python{,3}-/pypy-coverage to B-D
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Bump debhelper compat level to 11
  * Move docs to /usr/share/python-hypothesis
  * Install examples
  * Rename lintian override: debian-watch-may-check-gpg-signature
    -> debian-watch-does-not-check-gpg-signature
  * Bump Standards-Version to 4.1.3 (no changes).

 -- Ondřej Nový <onovy@debian.org>  Fri, 16 Feb 2018 11:44:09 +0100

python-hypothesis (3.44.1-1) unstable; urgency=medium

  * New upstream release (closes: #884786).
    - Fix docs reproducibility (closes: #854549).
  * Replace extra priority with optional.
  * Bump Standards-Version to 4.1.2 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 19 Dec 2017 23:04:43 +0200
