=== debian/control ===
--- 
+++ 
@@ -6,21 +6,27 @@
  Tristan Seligmann <mithrandi@debian.org>,
  Vincent Bernat <bernat@debian.org>,
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  pypy,
+ pypy-attr,
+ pypy-coverage,
  pypy-setuptools,
  python-all,
+ python-attr,
+ python-coverage,
  python-enum34,
  python-setuptools,
  python3-all,
+ python3-attr,
+ python3-coverage,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: https://github.com/DRMacIver/hypothesis
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-hypothesis.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-hypothesis.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-hypothesis.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hypothesis
 
 Package: python-hypothesis
 Architecture: all
@@ -79,7 +85,6 @@
 Package: python-hypothesis-doc
 Architecture: all
 Section: doc
-Priority: extra
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: advanced Quickcheck style testing library (documentation)
  Hypothesis is a library for testing your Python code against a much
